module counter (
    input wire clk,
    input wire btn1,
    output reg [3:0] count
    );

    always @(posedge clk)
    begin
        if(btn1)
            count <= 4'b0000;
        else
            count <= count + 1;
    end
    
endmodule